Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Ubuntu Kernel Team (http://www.linux-archive.org/ubuntu-kernel-team/)
-   -   UBUNTU: SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel (http://www.linux-archive.org/ubuntu-kernel-team/548013-ubuntu-sauce-rtl8192se-force-build-2-6-3-0-kernel.html)

Stefan Bader 07-04-2011 02:56 PM

UBUNTU: SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
 
On 04.07.2011 16:22, Andy Whitcroft wrote:
> From: Tim Gardner <tim.gardner@canonical.com>
>
> BugLink: http://bugs.launchpad.net/bugs/805494
>
> The makefile for this module is hideaous. It checkes the build host kernel
> version in order to determine which driver version should be built. Since
> we know it will only _ever_ be built for 2.6/3.0, then just shortcut
> the ifeq().
>
> Signed-off-by: Tim Gardner <tim.gardner@canonical.com>
> Signed-off-by: Andy Whitcroft <apw@canonical.com>
> ---
> ubuntu/rtl8192se/Makefile | 2 +-
> 1 files changed, 1 insertions(+), 1 deletions(-)
>
> diff --git a/ubuntu/rtl8192se/Makefile b/ubuntu/rtl8192se/Makefile
> index 0f2c735..6ad0730 100755
> --- a/ubuntu/rtl8192se/Makefile
> +++ b/ubuntu/rtl8192se/Makefile
> @@ -4,7 +4,7 @@ CC = gcc
> KVER := $(shell uname -r)
> MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
>
> -ifeq ($(shell uname -r|cut -d. -f1,2), 2.6)
> +ifeq (1,1)
> ###################### KERNEL 2.6 ################################
> ifeq ($(NIC_SELECT),RTL8192CE)
> sub_folder = rtl8192c

Seems to be the appropriate action, given that the code will always be part of a
2.6 kernel build that way. I guess the successful build after that change is
proof enough that KVER is not getting in our way somewhere?

Acked-by: Stefan Bader <stefan.bader@canonical.com>

--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team

Tim Gardner 07-05-2011 12:45 PM

UBUNTU: SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
 
On 07/04/2011 08:22 AM, Andy Whitcroft wrote:

From: Tim Gardner<tim.gardner@canonical.com>

BugLink: http://bugs.launchpad.net/bugs/805494

The makefile for this module is hideaous. It checkes the build host kernel
version in order to determine which driver version should be built. Since
we know it will only _ever_ be built for 2.6/3.0, then just shortcut
the ifeq().

Signed-off-by: Tim Gardner<tim.gardner@canonical.com>
Signed-off-by: Andy Whitcroft<apw@canonical.com>
---
ubuntu/rtl8192se/Makefile | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/ubuntu/rtl8192se/Makefile b/ubuntu/rtl8192se/Makefile
index 0f2c735..6ad0730 100755
--- a/ubuntu/rtl8192se/Makefile
+++ b/ubuntu/rtl8192se/Makefile
@@ -4,7 +4,7 @@ CC = gcc
KVER := $(shell uname -r)
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/

-ifeq ($(shell uname -r|cut -d. -f1,2), 2.6)
+ifeq (1,1)
###################### KERNEL 2.6 ################################
ifeq ($(NIC_SELECT),RTL8192CE)
sub_folder = rtl8192c


no brainer.

Acked-by: Tim Gardner <tim.gardner@canonical.com>

--
Tim Gardner tim.gardner@canonical.com

--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team


All times are GMT. The time now is 05:04 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.